Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.encryption.pbe.config
Interface StringPBEConfig

All Superinterfaces:
  PBEConfig

All Known Implementing Classes:
  EnvironmentStringPBEConfig, SimpleStringPBEConfig, WebStringPBEConfig

    public interface StringPBEConfig

extends PBEConfig

Common interface for config classes applicable to `StandardPBEStringEncryptor` objects. This interface extends `PBEConfig` to add config parameters specific to String encryption.

This interface lets the user create new `PBEConfig` classes which retrieve values for this parameters from different (and maybe more secure) sources (remote servers, LDAP, other databases...), and do this transparently for the encryptor object.

The config objects passed to an encryptor will only be queried once for each configuration parameter, and this will happen during the initialization of the encryptor object.

For a default implementation, see `SimpleStringPBEConfig`.

Since:
  1.3
Author:
  Daniel Fernández

Method Summary
`String` | `getStringOutputType()` This parameter lets the user specify the form in which String output will be encoded.

Methods inherited from interface org.jasypt.encryption.pbe.config.PBEConfig
`getAlgorithm, getKeyObtentionIterations, getPassword, getPoolSize, getProvider, getProviderName, getSaltGenerator`

Method Detail

### getStringOutputType

    String getStringOutputType()

  This parameter lets the user specify the form in which String output will be encoded. Available encoding types are:

  - `base64` (default)
  - `hexadecimal`

  Returns:
    The name of the encoding type for String output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.